.p-buttons-contact {
  --size: 2.5rem;
  --position: 1rem;

  position: absolute;
  z-index: 400;
  top: calc( var(--vp-header__height-total) + var(--position) );
  right: 0;

  display: flex;
  flex-wrap: wrap;
  gap: 0.5rem;
  width: var(--size);
}

.p-buttons-contact__button {
  flex: 0 0 100%;
  height: var(--size);
  text-decoration: none;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: var(--v-color__2);
  color: var(--v-color__light);
  font-size: calc( var(--size) / 2 );
}

.p-buttons-contact__button:hover {
  background-color: var(--v-color__1);
}

@media (min-width: 1000px) {
  .p-buttons-contact {
    --size: 4rem;
    --position: 5rem;
  }
}
